
import javafx.application.Application;
import static javafx.application.Application.launch;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.image.Image;
import javafx.scene.image.PixelReader;
import javafx.scene.image.PixelWriter;
import javafx.scene.image.WritableImage;
import javafx.scene.paint.Color;
import javafx.stage.Stage;

public class Pariohjelmointi extends Application {

    public static String ensimmaisenOhjelmoijanOpiskelijanumero() {
        return "0123456789";
    }

    public static String toisenOhjelmoijanOpiskelijanumero() {
        return "9876543210";
    }

    @Override
    public void start(Stage stage) {
        String tiedosto = "monalisa";

        Image lahdeKuva = new Image("file:" + tiedosto + ".png");
        PixelReader kuvanLukija = lahdeKuva.getPixelReader();

        int leveys = (int) lahdeKuva.getWidth();
        int korkeus = (int) lahdeKuva.getHeight();

        WritableImage kohdeKuva = new WritableImage(leveys, korkeus);
        PixelWriter kuvanKirjoittaja = kohdeKuva.getPixelWriter();

        int y = 0;
        while (y < korkeus) {
            int x = 0;
            while (x < leveys) {
                Color vari = kuvanLukija.getColor(x, y);
                double punainen = vari.getRed();
                double vihrea = vari.getGreen();
                double sininen = vari.getBlue();
                double lapinakyvyys = vari.getOpacity();

                Color uusiVari = new Color(punainen, vihrea, sininen, lapinakyvyys);
                kuvanKirjoittaja.setColor(x, y, uusiVari);
                x++;
            }
            y++;
        }

        Group root = new Group();
        Canvas piirtoalusta = new Canvas(leveys, korkeus);
        GraphicsContext piirturi = piirtoalusta.getGraphicsContext2D();

        root.getChildren().add(piirtoalusta);

        piirturi.drawImage(kohdeKuva, 0, 0);

        stage.setScene(new Scene(root));
        stage.show();

    }

    public static void main(String[] args) {
        launch(args);
    }

}
